Subject: RE: DDS4 device mnemonic with cygwin
From: "Mazzotta, Paul" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Tue, 9 Mar 2004 16:22:21 -0500

Igor;
		Thanks so much for your help !

			Paul :-)

-----Original Message-----
From: Igor Pechtchanski [mailto:[email-masked]]
Sent: Tuesday, March 09, 2004 1:19 PM
To: Mazzotta, Paul
Cc: [email-masked]
Subject: Re: DDS4 device mnemonic with cygwin

On Tue, 9 Mar 2004, Mazzotta, Paul wrote:

> To whom it may concern;
>
> According to the cygwin user's guide, tape drive devices
> are mapped to /dev... or /device...  .  Shouldn't you be able
> to see these directories from a cygwin window under the
> /  directory ?  If so, is it because I did not install all of cygwin
> at the time of installation ?   On my Windows 2000 host in a
> cygwin window, I need to be able to perform a tar command
> in the form:  tar cvf  /dev...(for tape device)  filename.
>
> Any help in resloving this issue is most appreciated !
>
>        Paul

Paul,

Until Cygwin switches to mknod for devices, /dev will be a virtual
filesystem in Cygwin (as are /proc, /cygdrive, etc).  As such, it won't
show up in the listing of the parent directory (i.e., /).  What you need
to do is create an actual directory for /dev, and the empty file entries
for all of its contents to be able to 'ls' them.  You can use a script I
posted in <http://cygwin.com/ml/cygwin-xfree/2004-01/msg00353.html> for
this purpose (it'll also create some Linux-style symlinks).
	Igor
-- 
				http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_		[email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!

"I have since come to realize that being between your mentor and his route
to the bathroom is a major career booster."  -- Patrick Naughton

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/